OrderStatus (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Enum OrderStatus

- java.lang.Object
- - java.lang.Enum<OrderStatus>
  - - com.marketfactory.messaging.OrderStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OrderStatus>

      public enum OrderStatus
      extends java.lang.Enum<OrderStatus>

  The status of an order.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `ACCEPTED` The GTC order has been accepted.
    `FILLED` The IOC order has been completely filled.
    `PARTIALLY_FILLED` The IOC order has been partially filled.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static OrderStatus` | `get(byte value)`
    `static java.util.Collection<OrderStatus>` | `validValues()`
    `static OrderStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OrderStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARTIALLY_FILLED

          public static final OrderStatus PARTIALLY_FILLED

      The IOC order has been partially filled.

    - #### FILLED

          public static final OrderStatus FILLED

      The IOC order has been completely filled.

    - #### ACCEPTED

          public static final OrderStatus ACCEPTED

      The GTC order has been accepted.

    - #### _INVALID

          public static final OrderStatus _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static OrderStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrderStatus c : OrderStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrderStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static OrderStatus get(byte value)

    - #### validValues

          public static java.util.Collection<OrderStatus> validValues()